const express = require('express');

const read = require('./read');
const write = require('./write');
const importFromSS = require('./import-from-ss');

require('dotenv').config();

const app = express();
const port = process.env.PORT || 3000;

app.use(express.json());

app.post('/write', write);
app.get('/read/:hash', read);
app.post('/importFromSemanticScholar', importFromSS);

app.get('*', (req, res) => {
  console.log(`404 req.path: ${req.path}`);
  res.status(404).json({ errorCode: 404 });
});

app.listen(port, () => {
  console.log(`Listening on port ${port}`);
});
